Need your own package repository for Alpine, Cargo, CocoaPods, Composer, Conan, CRAN, Dart, Debian, Docker, Go, Helm, LuaRocks, Maven, npm, NuGet, P2, Python, RedHat, Ruby, Terraform, Vagrant, Raw & More?

Cloudsmith provides better DevOps with simple and secure delivery of your software, from dev to production.

Start My Free 7-Day Trial
Note: Packages in this repository are licensed as Apache License 2.0 (dependencies may be licensed differently).

Debian logo libbpf-dev  1:0.2-1

One-liner (summary)

eBPF helper library (development files)

Description

libbpf is a library for loading eBPF programs and reading and manipulating eBPF objects from user-space.

This package is needed to compile programs against libbpf.

License

Unknown

Size

140.3 KB

Downloads

8

Status  Completed
Checksum (MD5) 029d03562ca75c50c50ed7245e976988
Checksum (SHA-1) 2b38478b49a6f1467d621269cfe4e3c726a786a1
Checksum (SHA-256) ec6400c23f9e5616bd9575e8f85b390a563cff1f2bf5de6867e2dc2715f416f1
Checksum (SHA-512) d07f2cb59481e709b5bdf8a10b5898fc2e68a9f2db6d344581efeabb902dbac490…
GPG Signature
Distribution ubuntu/bionic - Ubuntu - 18.04 Bionic Beaver
Storage Region Default Region
Type  Binary (contains binaries and binary artifacts)
Uploaded At 9 months ago
Uploaded By brad-cowie
Slug Id libbpf-dev_02-1_amd64deb-2v7
Unique Id SdG0C5YDCqx6
Version (Raw) 1:0.2-1
Version (Parsed)
  • Epoch: 1
  • Major: 0
  • Minor: 2
  • Pre (Str): (empty)
  • Pre (Num): 1
  • Type: SemVer (Compat)
  extended metadata
Installed Size 597.0 KB
Maintainer Sudip Mukherjee <sudipm.mukherjee@gmail.com>
Multi Arch same
Priority optional
Section libdevel
Source libbpf (0.2-1)
  dependencies
Checksum (MD5) 9db54f4db4df702098098884ea837996
Depends libbpf0 = 1:0.2-1
pkg libbpf-dev_0.2-1_amd64.deb 8
140.3 KB
md5 sha1 sha256 sha512
Package Contents (libbpf-dev_0.2-1_amd64.deb)
Loading...

This package has 26 files/directories.

Loading...

These instructions assume you have setup the repository first (or read it).

To install/use libbpf-dev @ version 1:0.2-1 ...

To install packages, you can quickly setup the repository automatically (recommended):

curl -1sLf \
  'https://dl.cloudsmith.io/public/wand/openvswitch/setup.deb.sh' \
  | sudo -E bash

If you need to force a specific distribution, release/version, or even architecture, you can also do that (e.g. if your system is compatible but not identical):

curl -1sLf \
  'https://dl.cloudsmith.io/public/wand/openvswitch/setup.deb.sh' \
  | sudo -E distro=ubuntu codename=bionic arch=some-arch bash

or ... you can manually configure it yourself before installing packages:

apt-get install -y debian-keyring  # debian only
apt-get install -y debian-archive-keyring  # debian only
apt-get install -y apt-transport-https
curl -1sLf 'https://dl.cloudsmith.io/public/wand/openvswitch/gpg.2E801E8CCE233F26.key' | apt-key add -
curl -1sLf 'https://dl.cloudsmith.io/public/wand/openvswitch/config.deb.txt?distro=ubuntu&codename=bionic' > /etc/apt/sources.list.d/wand-openvswitch.list
apt-get update
sudo apt-get install libbpf-dev=1:0.2-1
Warning: Note that this package is for Ubuntu 18.04 Bionic Beaver / amd64 and may only work for that configuration.
Prev Version
Next Version
Top